Get one agent's call stats
curl --request GET \
--url https://api.pineyard.ai/analytics/agents/{id} \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.pineyard.ai/analytics/agents/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.pineyard.ai/analytics/agents/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"agentId": "<string>",
"agentName": "<string>",
"totalCalls": 123,
"completedCalls": 123,
"failedCalls": 123,
"avgDurationMs": 123,
"completionRate": 123,
"creditsUsed": 123,
"byDay": [
{
"day": "<string>",
"total": 123,
"completed": 123
}
]
}Analytics
Get one agent's call stats
GET
/
analytics
/
agents
/
{id}
Get one agent's call stats
curl --request GET \
--url https://api.pineyard.ai/analytics/agents/{id} \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.pineyard.ai/analytics/agents/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.pineyard.ai/analytics/agents/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"agentId": "<string>",
"agentName": "<string>",
"totalCalls": 123,
"completedCalls": 123,
"failedCalls": 123,
"avgDurationMs": 123,
"completionRate": 123,
"creditsUsed": 123,
"byDay": [
{
"day": "<string>",
"total": 123,
"completed": 123
}
]
}Required scope:
analytics.viewAuthorizations
Your API key, e.g. pk_live_xxxxxxxxxxxxxxxxxxxxxxxx.
Path Parameters
Query Parameters
Required range:
1 <= x <= 365Required range:
0 <= x <= 1
